# SQLite3Result::columnName

(PHP 5 >= 5.3.0, PHP 7)

SQLite3Result::columnName — Returns the name of the nth column

### Description

public SQLite3Result::columnName ( int `$column_number` ) : string

Returns the name of the column specified by the `column_number`. Note that the name of a result column is the value of the AS clause for that column, if there is an AS clause. If there is no AS clause then the name of the column is unspecified and may change from one release of libsqlite3 to the next.

### Parameters

`column_number`

  The numeric zero-based index of the column.

### Return Values

Returns the string name of the column identified by `column_number`.